<?php

/* ***********************************************************************
phpwcms custom PHP function to enhance form validation
======================================================

By default there exists a simple link spamming funtion:
block_comment_spam[ fieldname1[,fieldname2,[...]] ]

This is how the block_comment_spam() function looks like.
Use this as sample to implement your own verification on
what basis and for what ever. You can also use it to test 
form values against database, calculate things...

Put custom defined function in frontend_init to have it
loaded before content part form is parsed.

*********************************************************************** */

// -------------------------------------------------------------------------------------------
// obligate check for phpwcms constants
	if (!defined('PHPWCMS_ROOT')) {
		die("You Cannot Access This Script Directly, Have a Nice Day."); }
// -------------------------------------------------------------------------------------------

function block_comment_spam(&$POST_val, $field_names=NULL) {
	
	global $cnt_form;

	if(is_array($field_names)) {
		$spam_identified = false;
		foreach($field_names as $field_name) {
			if(!$spam_identified && !empty($POST_val[$field_name]) && empty($GLOBALS['POST_ERR'][$field_name])) {	
				// check against Spam BB Code
				if(preg_match('/\[link=|\[url=|SEO /i', $POST_val[$field_name]) || count(explode('http:/', strtolower($POST_val[$field_name]))) > 2 || linksleeve_comment_check($POST_val[$field_name]) == 'SPAM') {			
					// spam trying
					$GLOBALS['POST_ERR'][$field_name] = empty($cnt_form["fields"][$field_name]['error']) ? '@@Content looks like Spam.@@' : $cnt_form["fields"][$field_name]['error'];
					// we need to block only once
					$spam_identified = true;
				}
			}
		}		
	}
}

?>